ranges::views::partial_sum_fn Struct Reference
Inheritance diagram for ranges::views::partial_sum_fn:

## Synopsis of methods

constexpr view_closure< partial_sum_fn > | partial_sum {}

## Public Member Functions

template<typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires `(!range< Fun >)) ccconstexpr auto operator()(Fun &&fun) const
template<typename Fun = plus>
constexpr auto | operator() () const
Public Member Functions inherited from ranges::views::partial_sum_base_fn
template<typename Rng , typename Fun = plus>
CPP_TEMPLATE_AUX_0 | c (requires ` detail::partial_sum_view_constraints< all_t< Rng >, Fun >) ccconstexpr partial_sum_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Fun | operator() (Rng &&rng, Fun fun={}) const